/*
    BSplineCurve.h
    File u kojem cemo definirati sve potrebno za crtanje B-spline krivulje.
*/


#ifndef BSPLINECURVE_H
#define BSPLINECURVE_H

class BSplineCurve
{
    public:
        BSplineCurve():br_cvorova(0),br_tocaka(0),br_unesenih_tocaka(0),degree(2){}
        
        float controlPoints[5000][3];
        float knots[5000];
        
        int br_cvorova;
        int br_tocaka;
        int br_unesenih_tocaka;
        int degree;

        int elevateDegree(int degree);
        int decreaseDegree(int degree);        
    
    private:

};
#endif
