//---------------------------------------------------------------------------
//
// Name:        primjerFrm.h
// Author:      User
// Created:     19.12.2008 17:13:44
// Description: primjerFrm class declaration
//
//---------------------------------------------------------------------------

#ifndef __PRIMJERFRM_h__
#define __PRIMJERFRM_h__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/frame.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers between 
//Header Include Start and Header Include End.
//wxDev-C++ designer will remove them. Add custom headers after the block.
////Header Include Start
#include <wx/msgdlg.h>
#include <wx/menu.h>
#include <wx/checkbox.h>
#include <wx/spinctrl.h>
#include <wx/button.h>
#include <wx/textctrl.h>
#include <wx/stattext.h>
#include <wx/panel.h>
////Header Include End

#include <vector>

////Dialog Style Start
#undef primjerFrm_STYLE
#define primjerFrm_STYLE wxCAPTION | wxSYSTEM_MENU | wxMINIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

#include "MyGLCanvas.h"

class primjerFrm : public wxFrame
{
    friend class MyGLCanvas;
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		primjerFrm(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("primjer"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = primjerFrm_STYLE);
		virtual ~primjerFrm();
		void WxButton_br_tocakaClick(wxCommandEvent& event);
		void WxSpinButtonDegreeUp(wxSpinEvent& event);
		void WxSpinCtrlDegreeSpinDown(wxSpinEvent& event );
		void WxSpinCtrlDegreeSpinUp(wxSpinEvent& event);
		void WxButtonTockeClick(wxCommandEvent& event);
		void WxButton1Click(wxCommandEvent& event);
		void WxButtonClearClick(wxCommandEvent& event);
		void WxButtonDegreeClick(wxCommandEvent& event);
		void WxButtonKnotsClick(wxCommandEvent& event);
		void WxButtonUnifRefClick(wxCommandEvent& event);
		void WxEdit_br_tocakaUpdated(wxCommandEvent& event);
	void Mnuabout1032Click(wxCommandEvent& event);
		
	private:
		//Do not add custom control declarations between
		//GUI Control Declaration Start and GUI Control Declaration End.
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxMessageDialog *WxMessageDialog1;
		wxMenuBar *WxMenuBar1;
		wxButton *WxButtonUnifRef;
		wxStaticText *tmpLabel;
		wxTextCtrl *WxEditKnots;
		wxButton *WxButtonKnots;
		wxButton *WxButtonDegree;
		wxStaticText *WxStaticTextKnots;
		wxCheckBox *WxCheckBoxZoom;
		wxButton *WxButtonClear;
		wxCheckBox *WxCheckBoxRotation;
		wxStaticText *WxStaticText4;
		wxButton *WxButtonTocke;
		wxStaticText *WxStaticText3;
		wxSpinCtrl *WxSpinCtrlDegree;
		wxStaticText *testLabel;
		wxStaticText *WxStaticText2;
		wxButton *WxButton_br_tocaka;
		wxTextCtrl *WxEdit_br_tocaka;
		wxStaticText *WxStaticText1;
		wxPanel *GLPanel;
		wxPanel *WxPanel1;
		////GUI Control Declaration End
		MyGLCanvas *pGLCanvas;
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_MNU_HELP_1031 = 1031,
			ID_MNU_ABOUT_1032 = 1032,
			
			ID_WXBUTTONUNIFREF = 1029,
			ID_TMPLABEL = 1028,
			ID_WXEDITKNOTS = 1027,
			ID_WXBUTTONKNOTS = 1025,
			ID_WXBUTTONDEGREE = 1024,
			ID_WXSTATICTEXTKNOTS = 1023,
			ID_WXCHECKBOXZOOM = 1019,
			ID_WXBUTTONCLEAR = 1018,
			ID_WXCHECKBOXROTATION = 1017,
			ID_WXSTATICTEXT4 = 1015,
			ID_WXBUTTONTOCKE = 1014,
			ID_WXSTATICTEXT3 = 1013,
			ID_WXSPINCTRLDEGREE = 1012,
			ID_TESTLABEL = 1008,
			ID_WXSTATICTEXT2 = 1007,
			ID_WXBUTTON_BR_TOCAKA = 1006,
			ID_WXEDIT_BR_TOCAKA = 1004,
			ID_WXSTATICTEXT1 = 1003,
			ID_GLPANEL = 1002,
			ID_WXPANEL1 = 1001,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
		
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
};

#endif
